Foxit PDF SDK

Instance Methods | Properties | List of all members
FSEmbeddedGotoAction Class Reference
Inheritance diagram for FSEmbeddedGotoAction:

## Instance Methods
(id) | - initWithAction:
| Constructor, with parent class object. More...
Instance Methods inherited from FSAction
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, to which current action belongs. More...
(FSAction *) | - getSubAction:
| Get a sub-action by index. More...
(int) | - getSubActionCount
| Get the count of sub-actions. More...
(FSActionType) | - getType
| Get action type. More...
(id) | - initWithDocument:action_dict:
| Constructor, with parameters. More...
(void) | - insertSubAction:sub_action:
| Insert a new sub-action to the location specified by index. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeAllSubActions
| Remove all the sub-actions. More...
(void) | - removeSubAction:
| Remove a sub-action, specified by index. More...
(void) | - setSubAction:sub_action:
| Set a sub-action by index. More...

## Properties
FSDestination * | destination
| Get or Set the destination information which specifies where to jump to in the final target file. More...
NSString * | destinationName
| Get or Set the destination name which is defined in final target PDF file. More...
FSActionNewWindowFlag | newWindowFlag
| Get or Set the flag which is used to decide whether to open the destination document in a new window or not.
FSFileSpec * | rootFile
| Get or Set the file specification of the root file which is the root file for the target.
FSEmbeddedGotoTarget * | target
| Get or Set the target.

## Additional Inherited Members
Class Methods inherited from FSAction
(FSAction *) | + create:action_type:
| Create a new action, for specified action type. More...

## Detailed Description

Embedded go-to action is similar to a remote go-to action but allows jumping to or from a PDF file that is embedded in another PDF file. Class FSEmbeddedGotoTarget is derived from FSAction and offers functions to get/set embedded go-to action data.

See also
  FSAction

## Method Documentation

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSAction*) | action |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

Reimplemented from FSAction.

## Property Documentation

## ◆ destination

- (FSDestination *) destination
| read write nonatomic weak

Get or Set the destination information which specifies where to jump to in the final target file.

For a embedded go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSEmbeddedGotoAction::destination would return a valid destination object.
- If it is a destination name, function FSEmbeddedGotoAction::destinationName would return a valid string, and the destination name would be defined in the final target PDF file.

If the return value of function FSDestination::isEmpty for the returned destination object is YES and function FSEmbeddedGotoAction::destinationName returns an empty string, that means the embedded go-to action does not have any destination information.

## ◆ destinationName

- (NSString *) destinationName
| read write nonatomic weak

Get or Set the destination name which is defined in final target PDF file.

For a remote go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSEmbeddedGotoAction::destination would return a valid destination object.
- If it is a destination name, function FSEmbeddedGotoAction::destinationName would return a valid string, and the destination name would be defined in the target PDF file.

If the return value of function FSDestination::isEmpty for the returned destination object is YES and function FSEmbeddedGotoAction::destinationName returns an empty string, that means the embedded go-to action does not have any destination information.